Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 657074 - [abrt] gpsd-2.95-2.fc14: gpsprof:415:plotframe:KeyError: 'driver'
Summary: [abrt] gpsd-2.95-2.fc14: gpsprof:415:plotframe:KeyError: 'driver'
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gpsd
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Douglas E. Warner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f7c38e56
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-24 20:25 UTC by John
Modified: 2012-08-16 20:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 20:33:31 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (915 bytes, text/plain)
2010-11-24 20:26 UTC, John
no flags Details

Description John 2010-11-24 20:25:59 UTC
abrt version: 1.1.14
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/gpsprof
component: gpsd
executable: /usr/bin/gpsprof
kernel: 2.6.36-4.fc15.x86_64
package: gpsd-2.95-2.fc14
reason: gpsprof:415:plotframe:KeyError: 'driver'
release: Fedora release 14 (Laughlin)
time: 1290629328
uid: 500

backtrace
-----
gpsprof:415:plotframe:KeyError: 'driver'

Traceback (most recent call last):
  File "/usr/bin/gpsprof", line 487, in <module>
    sys.stdout.write(plotframe(await,formatter,speed,threshold,title))
  File "/usr/bin/gpsprof", line 415, in plotframe
    session.gps_id = device["driver"]
KeyError: 'driver'

Local variables in innermost frame:
title: 'Wed Nov 24 23:08:48 2010'
plotter: <__main__.spaceplot instance at 0x7f3aad5203b0>
await: 100
threshold: 0
session: Time:      (nan)
Lat/Lon:  0.000000 0.000000
Altitude: ?
Speed:    ?
Track:    ?
Status:   STATUS_NO_FIX
Mode:     MODE_NO_FIX
Quality:  0 p=0.00 h=0.00 v=0.00 t=0.00 g=0.00
Y: 0 satellites in view:

fname: 'space'
device: {'parity': 'N', 'activated': 1290629090.9, 'bps': 9600, 'stopbits': 1, 'path': '/dev/ttyUSB1', 'native': 0, 'class': 'DEVICE', 'cycle': 1.0}
path: '/dev/ttyUSB1'
formatter: <class __main__.spaceplot at 0x7f3aad542600>
speed: 0

How to reproduce
-----
1.just run
2.
3.

Comment 1 John 2010-11-24 20:26:02 UTC
Created attachment 462747 [details]
File: backtrace

Comment 2 Miroslav Lichvar 2010-12-17 14:10:00 UTC
This may have been fixed recently in the upstream git repository. Can you please try the latest gpsd from git?

git clone git://git.berlios.de/gpsd

Comment 3 Fedora End Of Life 2012-08-16 20:33:33 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.